Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hornetq.api.core.management
Class RoleInfo

    java.lang.Object
      org.hornetq.api.core.management.RoleInfo

    public class RoleInfo

extends Object

Helper class to create Java Objects from the JSON serialization returned by `AddressControl.getRolesAsJSON()`.

Author:
  Jeff Mesnil

Method Summary
`static RoleInfo[]` | `from(String jsonString)` Returns an array of RoleInfo corresponding to the JSON serialization returned by `AddressControl.getRolesAsJSON()`.
`String` | `getName()` Returns the name of the role.
`boolean` | `isConsume()` Returns whether this role can consume messages from queues bound to the address.
`boolean` | `isCreateDurableQueue()` Returns whether this role can create durable queues bound to the address.
`boolean` | `isCreateNonDurableQueue()` Returns whether this role can create non-durable queues bound to the address.
`boolean` | `isDeleteDurableQueue()` Returns whether this role can delete durable queues bound to the address.
`boolean` | `isDeleteNonDurableQueue()` Returns whether this role can delete non-durable queues bound to the address.
`boolean` | `isManage()` Returns whether this role can send management messages to the address.
`boolean` | `isSend()` Returns whether this role can send messages to the address.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### from

    public static final RoleInfo[] from(String jsonString)
                                 throws Exception

  Returns an array of RoleInfo corresponding to the JSON serialization returned by `AddressControl.getRolesAsJSON()`.

  Throws:
    `Exception`

### getName

    public String getName()

  Returns the name of the role.

### isSend

    public boolean isSend()

  Returns whether this role can send messages to the address.

### isConsume

    public boolean isConsume()

  Returns whether this role can consume messages from queues bound to the address.

### isCreateDurableQueue

    public boolean isCreateDurableQueue()

  Returns whether this role can create durable queues bound to the address.

### isDeleteDurableQueue

    public boolean isDeleteDurableQueue()

  Returns whether this role can delete durable queues bound to the address.

### isCreateNonDurableQueue

    public boolean isCreateNonDurableQueue()

  Returns whether this role can create non-durable queues bound to the address.

### isDeleteNonDurableQueue

    public boolean isDeleteNonDurableQueue()

  Returns whether this role can delete non-durable queues bound to the address.

### isManage

    public boolean isManage()

  Returns whether this role can send management messages to the address.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 Red Hat Inc. All Rights Reserved.